## org.hibernate.util
Interface JDBCExceptionReporter.WarningHandler

All Known Implementing Classes:
  JDBCExceptionReporter.StandardWarningHandler, JDBCExceptionReporter.WarningHandlerLoggingSupport

Enclosing class:
  JDBCExceptionReporter

    public static interface JDBCExceptionReporter.WarningHandler

Contract for handling `warnings`

Method Summary
`boolean` `doProcess()` Should processing be done? Allows short-circuiting if not.
`void` `handleWarning(SQLWarning warning)` Handle an individual warning in the stack.
`void` `prepare(SQLWarning warning)` Prepare for processing of a `warning` stack.

Method Detail

### doProcess

    boolean doProcess()

  Should processing be done? Allows short-circuiting if not.

  Returns:
    True to process warnings, false otherwise.

### prepare

    void prepare(SQLWarning warning)

  Prepare for processing of a `warning` stack.

  Note that the warning here is also the first passed to `handleWarning(java.sql.SQLWarning)`

  Parameters:
    `warning` - The first warning in the stack.

### handleWarning

    void handleWarning(SQLWarning warning)

  Handle an individual warning in the stack.

  Parameters:
    `warning` - The warning to handle.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.